> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cyberdesk.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List workflow prompt images

> List all prompt images uploaded for the organization.



## OpenAPI

````yaml /openapi.json get /v1/workflows/prompt-images
openapi: 3.1.0
info:
  title: Cyberdesk Cloud
  description: >-
    The Cyberdesk API provides programmatic access to all platform features,
    enabling you to automate desktop tasks at scale.
  version: 1.0.0
servers:
  - url: https://api.cyberdesk.io
    description: Production server
  - url: https://cyberdesk-api-dev.fly.dev
    description: Development server
security: []
paths:
  /v1/workflows/prompt-images:
    get:
      tags:
        - workflows
      summary: List workflow prompt images
      description: List all prompt images uploaded for the organization.
      operationId: list_workflow_prompt_images_v1_workflows_prompt_images_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/WorkflowPromptImageListItem'
                type: array
                title: >-
                  Response List Workflow Prompt Images V1 Workflows Prompt
                  Images Get
      security:
        - HTTPBearer: []
components:
  schemas:
    WorkflowPromptImageListItem:
      properties:
        supabase_url:
          type: string
          title: Supabase Url
          description: The stable supabase:// URL to use in workflow prompt HTML
        path:
          type: string
          title: Path
          description: The storage path of the image
        filename:
          type: string
          title: Filename
          description: The filename of the image
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
          description: When the image was uploaded
        size_bytes:
          anyOf:
            - type: integer
            - type: 'null'
          title: Size Bytes
          description: The size of the file in bytes
      type: object
      required:
        - supabase_url
        - path
        - filename
      title: WorkflowPromptImageListItem
      description: Schema for an item in the workflow prompt images list
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````